## picocom 1.3

=== Makefile ===

VERSION=1.3

# CC = gcc
CPPFLAGS=-DVERSION_STR=\"$(VERSION)\"
CFLAGS = -Wall -g

# LD = gcc
LDFLAGS = -g
LDLIBS =

picocom : picocom.o term.o
#	$(LD) $(LDFLAGS) -o $@ $+ $(LDLIBS)

picocom.o : picocom.c term.h
term.o : term.c term.h

doc : picocom.8 picocom.8.html

picocom.8 : picocom.8.xml
	xmltoman $< > $@

picocom.8.html : picocom.8.xml
	xmlmantohtml $< > $@

clean:
	rm -f picocom.o term.o
	rm -f *~
	rm -f \#*\#

distclean: clean
	rm -f picocom

realclean: distclean
	rm -f picocom.8
	rm -f picocom.8.html

## picocom 1.4-1

=== Makefile ===

VERSION=1.4

# CC = gcc
CPPFLAGS=-DVERSION_STR=\"$(VERSION)\" -DUUCP_LOCK_DIR=\"/var/lock\"
CFLAGS = -Wall -g

# LD = gcc
LDFLAGS = -g
LDLIBS =

picocom : picocom.o term.o
#	$(LD) $(LDFLAGS) -o $@ $+ $(LDLIBS)

picocom.o : picocom.c term.h
term.o : term.c term.h

doc : picocom.8 picocom.8.html picocom.8.ps

changes : 
	svn log -v . > CHANGES

picocom.8 : picocom.8.xml
	xmlmp2man < $< > $@

picocom.8.html : picocom.8.xml
	xmlmp2html < $< > $@

picocom.8.ps : picocom.8
	groff -mandoc -Tps $< > $@

clean:
	rm -f picocom.o term.o
	rm -f *~
	rm -f \#*\#

distclean: clean
	rm -f picocom

realclean: distclean
	rm -f picocom.8
	rm -f picocom.8.html
	rm -f picocom.8.ps
	rm -f CHANGES

=== debian/changelog ===
picocom (1.4-1) unstable; urgency=low

  * new upstream version:
    - Changed the behavior of the C-a command. Now pressing C-a
	 twice sends C-a to the serial port
    - Added the C-\ command that generates a break sequence
    - Added (optional) UUCP-lockfiles support

 -- Oliver Kurth <oku@debian.org>  Tue, 14 Sep 2004 11:25:07 -0700

picocom (1.3-1) unstable; urgency=low

  * Initial Release (closes: #236044)
  * upstream included my man page

 -- Oliver Kurth <oku@debian.org>  Sun, 07 Mar 2004 19:43:34 -0800

=== debian/control ===
Source: picocom
Section: comm
Priority: optional
Maintainer: Oliver Kurth <oku@debian.org>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: picocom
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: minimal dumb-terminal emulation program
 picocom was designed to serve as a simple, manual, modem
 configuration, testing, and debugging tool. It has also served (quite
 well) as a low-tech "terminal-window" to allow operator intervention
 in PPP connection scripts (something like the ms-windows "open
 terminal window before / after dialing" feature). It could also prove
 useful in many other similar tasks. It is ideal for embedded systems
 since its memory footprint is minimal.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	-$(MAKE) distclean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	cp picocom $(CURDIR)/debian/picocom/usr/bin/


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs NEWS TODO CONTRIBUTORS
	dh_installexamples pcasc pcxm pcym pczm
	dh_installman picocom.8
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## picocom 1.4-2

=== debian/changelog ===
picocom (1.4-2) unstable; urgency=low

  * QA upload.
  * Set Maintainer to QA Group. The previous Maintainer email is bouncing. 

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Thu, 10 Jan 2008 09:04:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: picocom
 Section: comm
 Priority: optional
-Maintainer: Oliver Kurth <oku@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 4.0.0)
 Standards-Version: 3.6.1

## picocom 1.7

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,12 @@
 
-VERSION=1.4
+VERSION=1.7
+
+UUCP_LOCK_DIR=/var/lock
 
 # CC = gcc
-CPPFLAGS=-DVERSION_STR=\"$(VERSION)\" -DUUCP_LOCK_DIR=\"/var/lock\"
+CPPFLAGS=-DVERSION_STR=\"$(VERSION)\" \
+         -DUUCP_LOCK_DIR=\"$(UUCP_LOCK_DIR)\" \
+         -DHIGH_BAUD
 CFLAGS = -Wall -g
 
 # LD = gcc

=== debian/changelog ===
picocom (1.7-2build0.16.04.1) xenial-security; urgency=medium

  * fake sync from Debian

 -- Emily Ratliff <emily.ratliff@canonical.com>  Mon, 05 Jun 2017 21:31:19 -0500

picocom (1.7-2) unstable; urgency=high

  * Fix CVE-2015-9059 (Closes: #863671).
  * Add myself to Uploaders.
  * Add Vcs fields.

 -- W. Martin Borgert <debacle@debian.org>  Fri, 02 Jun 2017 22:21:14 +0000

picocom (1.7-1) unstable; urgency=low

  * New upstream release.  Closes: #659590.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Bump debhelper compat to 8, switch to minimal dh-based debian/rules.
  * Update Homepage: field.
  * Update Standards-Version to 3.9.3; no changes required.

 -- Matt Palmer <mpalmer@debian.org>  Sat, 21 Apr 2012 18:48:46 +1000

picocom (1.4-3) unstable; urgency=low

  * Adopted.  Closes: #452192.
  * Dump the debian-native packaging.
  * Fix odd parity problems.  Closes: #492695.  Thanks to Freddy Spierenburg
    for the patch.

 -- Matt Palmer <mpalmer@debian.org>  Sun, 03 Aug 2008 22:52:39 +1000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: picocom
 Section: comm
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 4.0.0)
-Standards-Version: 3.6.1
+Maintainer: Matt Palmer <mpalmer@debian.org>
+Uploaders: W. Martin Borgert <debacle@debian.org>
+Build-Depends: debhelper (>= 8.0.0)
+Standards-Version: 3.9.3
+Homepage: http://code.google.com/p/picocom/
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/picocom.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/picocom.git
 
 Package: picocom
 Architecture: any

## picocom 2.2

=== Makefile ===

VERSION = 2.2

#CC = gcc
CPPFLAGS = -DVERSION_STR=\"$(VERSION)\"
CFLAGS = -Wall -g

LD = $(CC)
LDFLAGS = -g
LDLIBS =

all: picocom
OBJS =

## Increase this to use larger input (e.g. copy-paste) buffer
TTY_Q_SZ = 32768
CPPFLAGS += -DTTY_Q_SZ=$(TTY_Q_SZ)

## Comment this out to disable high-baudrate support
CPPFLAGS += -DHIGH_BAUD

## Normally you should NOT enable both: UUCP-style and flock(2)
## locking.

## Comment this out to disable locking with flock
CPPFLAGS += -DUSE_FLOCK

## Comment these out to disable UUCP-style lockdirs
#UUCP_LOCK_DIR=/var/lock
#CPPFLAGS += -DUUCP_LOCK_DIR=\"$(UUCP_LOCK_DIR)\"

## Comment these out to disable "linenoise"-library support
HISTFILE = .picocom_history
CPPFLAGS += -DHISTFILE=\"$(HISTFILE)\" \
	    -DLINENOISE
OBJS += linenoise-1.0/linenoise.o
linenoise-1.0/linenoise.o : linenoise-1.0/linenoise.c linenoise-1.0/linenoise.h

## Comment these IN to enable custom baudrate support.
## Currently works *only* with Linux (kernels > 2.6).
#CPPFLAGS += -DUSE_CUSTOM_BAUD
#OBJS += termios2.o
#termios2.o : termios2.c termios2.h termbits2.h

## Comment this IN to remove help strings (saves ~ 4-6 Kb).
#CPPFLAGS += -DNO_HELP


OBJS += picocom.o term.o fdio.o split.o
picocom : $(OBJS)
	$(LD) $(LDFLAGS) -o $@ $(OBJS) $(LDLIBS)

picocom.o : picocom.c term.h
term.o : term.c term.h
split.o : split.c split.h
fdio.o : fdio.c fdio.h

.c.o :
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ -c $<


doc : picocom.1.html picocom.1 picocom.1.pdf

picocom.1 : picocom.1.md
	sed 's/\*\*\[/\*\*/g;s/\]\*\*/\*\*/g' $? \
	| pandoc -s -t man \
            -Vfooter="Picocom $(VERSION)" -Vdate="`date -I`" \
	    -o $@

picocom.1.html : picocom.1.md
	pandoc -s -t html \
	    -c ~/.pandoc/css/normalize-noforms.css \
            -c ~/.pandoc/css/manpage.css \
            --self-contained \
	    -o $@ $?

picocom.1.pdf : picocom.1
	groff -man -Tpdf $? > $@


clean:
	rm -f picocom.o term.o fdio.o split.o
	rm -f linenoise-1.0/linenoise.o
	rm -f termios2.o
	rm -f *~
	rm -f \#*\#

distclean: clean
	rm -f picocom

realclean: distclean
	rm -f picocom.1
	rm -f picocom.1.html
	rm -f picocom.1.pdf
	rm -f CHANGES

=== debian/changelog ===
picocom (2.2-2) unstable; urgency=medium

  * Upload to unstable

 -- W. Martin Borgert <debacle@debian.org>  Sat, 17 Jun 2017 00:15:28 +0000

picocom (2.2-1) experimental; urgency=medium

  * New upstream version (Closes: #840671, #852754)
  * New version supports setting stop bits (Closes: #837046)
  * Use new debhelper 10
  * Fixed homepage and download URL (Closes: #752098)
  * Use machine-readable copyright format
  * Add myself to uploaders
  * Use collab-maint Git for packaging
  * Update Standards-Version to 3.9.8; no changes required
  * Build manual page from source (Closes: #430975)

 -- W. Martin Borgert <debacle@debian.org>  Wed, 24 May 2017 00:35:45 +0000

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Matt Palmer <mpalmer@debian.org>
 Uploaders: W. Martin Borgert <debacle@debian.org>
-Build-Depends: debhelper (>= 8.0.0)
-Standards-Version: 3.9.3
-Homepage: http://code.google.com/p/picocom/
+Build-Depends: debhelper (>= 10),
+	pandoc
+Standards-Version: 3.9.8
+Homepage: https://github.com/npat-efault/picocom
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/picocom.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/picocom.git

## picocom 3.1

=== Makefile ===

VERSION = 3.1

#CC ?= gcc
CPPFLAGS += -DVERSION_STR=\"$(VERSION)\"
CFLAGS += -Wall -g

LD = $(CC)
LDFLAGS ?= -g
LDLIBS ?=

all: picocom
OBJS =

## This is the maximum size (in bytes) the output (e.g. copy-paste)
## queue is allowed to grow to. Zero means unlimitted.
TTY_Q_SZ = 0
CPPFLAGS += -DTTY_Q_SZ=$(TTY_Q_SZ)

## Comment this out to disable high-baudrate support
CPPFLAGS += -DHIGH_BAUD

## Normally you should NOT enable both: UUCP-style and flock(2)
## locking.

## Comment this out to disable locking with flock
CPPFLAGS += -DUSE_FLOCK

## Comment these out to disable UUCP-style lockdirs
#UUCP_LOCK_DIR=/var/lock
#CPPFLAGS += -DUUCP_LOCK_DIR=\"$(UUCP_LOCK_DIR)\"

## Comment these out to disable "linenoise"-library support
HISTFILE = .picocom_history
CPPFLAGS += -DHISTFILE=\"$(HISTFILE)\" \
	    -DLINENOISE
OBJS += linenoise-1.0/linenoise.o
linenoise-1.0/linenoise.o : linenoise-1.0/linenoise.c linenoise-1.0/linenoise.h

## Comment this in to enable (force) custom baudrate support
## even on systems not enabled by default.
#CPPFLAGS += -DUSE_CUSTOM_BAUD

## Comment this in to disable custom baudrate support
## on ALL systems (even on these enabled by default).
#CPPFLAGS += -DNO_CUSTOM_BAUD

## Comment this IN to remove help strings (saves ~ 4-6 Kb).
#CPPFLAGS += -DNO_HELP


OBJS += picocom.o term.o fdio.o split.o termios2.o custbaud_bsd.o
picocom : $(OBJS)
	$(LD) $(LDFLAGS) -o $@ $(OBJS) $(LDLIBS)

picocom.o : picocom.c term.h fdio.h split.h custbaud.h
term.o : term.c term.h termios2.h custbaud_bsd.h custbaud.h
split.o : split.c split.h
fdio.o : fdio.c fdio.h
termios2.o : termios2.c termios2.h termbits2.h custbaud.h
custbaud_bsd.o : custbaud_bsd.c custbaud_bsd.h custbaud.h

.c.o :
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ -c $<


doc : picocom.1.html picocom.1 picocom.1.pdf

picocom.1 : picocom.1.md
	sed 's/\*\*\[/\*\*/g;s/\]\*\*/\*\*/g' $? \
	| pandoc -s -t man \
	    -Vfooter="Picocom $(VERSION)" -Vdate="`date -I`" \
	    -Vadjusting='l' \
	    -Vhyphenate='' \
	    -o $@

picocom.1.html : picocom.1.md
	pandoc -s -t html \
	    --template ~/.pandoc/tmpl/manpage.html \
	    -c ~/.pandoc/css/normalize-noforms.css \
	    -c ~/.pandoc/css/manpage.css \
	    --self-contained \
	    -Vversion="v$(VERSION)" -Vdate="`date -I`" \
	    -o $@ $?

picocom.1.pdf : picocom.1
	groff -man -Tpdf $? > $@


clean:
	rm -f picocom.o term.o fdio.o split.o
	rm -f linenoise-1.0/linenoise.o
	rm -f termios2.o custbaud_bsd.o
	rm -f *~
	rm -f \#*\#

distclean: clean
	rm -f picocom

realclean: distclean
	rm -f picocom.1
	rm -f picocom.1.html
	rm -f picocom.1.pdf
	rm -f CHANGES

=== debian/changelog ===
picocom (3.1-4) unstable; urgency=medium

  * Fix use-custom-baud patch, thanks Adrian Bunk <bunk@debian.org>
    (Closes: #1032038)

 -- Martin <debacle@debian.org>  Sun, 26 Feb 2023 22:35:07 +0000

picocom (3.1-3) unstable; urgency=medium

  * Add debian/watch

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Martin <debacle@debian.org>  Sun, 26 Feb 2023 11:40:32 +0000

picocom (3.1-2) unstable; urgency=medium

  * Try to fix build on architectures without termios c_ispeed/c_ospeed

 -- W. Martin Borgert <debacle@debian.org>  Wed, 21 Mar 2018 21:54:53 +0000

picocom (3.1-1) unstable; urgency=medium

  * New upstream version (Closes: #881926)
  * Support custom baudrate on all architectures
  * Use salsa.debian.org as packaging repo
  * Use new debhelper 11
  * Update Standards-Version to 4.1.3; no changes required

 -- W. Martin Borgert <debacle@debian.org>  Tue, 20 Mar 2018 23:28:32 +0000

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: comm
 Priority: optional
 Maintainer: Matt Palmer <mpalmer@debian.org>
-Uploaders: W. Martin Borgert <debacle@debian.org>
-Build-Depends: debhelper (>= 10),
-	pandoc
-Standards-Version: 3.9.8
+Uploaders: Martin <debacle@debian.org>
+Build-Depends: debhelper-compat (= 13), pandoc
+Standards-Version: 4.1.3
+Rules-Requires-Root: no
 Homepage: https://github.com/npat-efault/picocom
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/picocom.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/picocom.git
+Vcs-Browser: https://salsa.debian.org/debian/picocom
+Vcs-Git: https://salsa.debian.org/debian/picocom.git
 
 Package: picocom
 Architecture: any

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/picocom_$1.tar.gz/" \
  https://github.com/npat-efault/picocom/tags .*/v?(\d\S*)\.tar\.gz
